Create a media coverage record for an assignment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.1099policy.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"1099Policy MCP server": {
  "url": "https://docs.1099policy.com/mcp"
}
Close
POST /api/v1/assignments/media

Creates a new media coverage record for a policy and adds published content. The media coverage record is used to track content published by contractors and generate Certificates of Insurance (COIs) for media coverage.

application/json

Body

  • policy_id string Required

    The ID of the policy to associate with the media coverage record.

  • publication_date integer Required

    The date and time when the content was published, in seconds since the Unix epoch.

  • published_content_json object Required

    Details about the published content. Can contain any valid JSON structure.

Responses

  • 201 application/json

    Returns the created media coverage record if successful.

    Hide response attributes Show response attributes object
    • coverage_end_date integer(int64)

      The date and time when the coverage period ends, measured in seconds since the Unix epoch.

    • created integer(int64)

      Time at which the media coverage record was created.

    • first_publication_date integer(int64)

      The date and time when the first content was published, measured in seconds since the Unix epoch.

    • id string

      Unique identifier for the media coverage record.

    • is_active boolean

      Whether the media coverage period is currently active.

    • published_content_json array[object]

      Array of published content items. Each item contains publication_date and platform-specific content data.

    • quote_id string

      The ID of the quote associated with this media coverage.

  • 400

    Returns an error if required fields are missing or invalid.

  • 404

    Returns an error if the specified policy is not found.

  • 500

    Returns an error if there was an internal server error.

POST /api/v1/assignments/media
curl \
 --request POST 'https://api.1099policy.com/api/v1/assignments/media' \
 --header "Content-Type: application/json" \
 --data '{"policy_id":"pl_123abc","publication_date":1711612800,"published_content_json":{"additional_field":"any value","platform":"instagram","url":"https://instagram.com/pl/1234567890"}}'
Request example
{
  "policy_id": "pl_123abc",
  "publication_date": 1711612800,
  "published_content_json": {
    "additional_field": "any value",
    "platform": "instagram",
    "url": "https://instagram.com/pl/1234567890"
  }
}
Response examples (201)
{
  "coverage_end_date": 1678334737,
  "created": 1646818364,
  "first_publication_date": 1646818364,
  "id": "string",
  "is_active": true,
  "published_content_json": [
    {}
  ],
  "quote_id": "qt_5DciVga8Kt"
}